Skip to main content
GET
/
v1
/
config-objects
/
{configObjectId}
/
access
List config object access grants
curl --request GET \
  --url https://api.openworklabs.com/v1/config-objects/{configObjectId}/access
import requests

url = "https://api.openworklabs.com/v1/config-objects/{configObjectId}/access"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.openworklabs.com/v1/config-objects/{configObjectId}/access', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "items": [
    {
      "id": "<string>",
      "orgMembershipId": "<string>",
      "teamId": "<string>",
      "orgWide": true,
      "createdByOrgMembershipId": "<string>",
      "createdAt": "2023-11-07T05:31:56Z",
      "removedAt": "2023-11-07T05:31:56Z"
    }
  ],
  "nextCursor": "<string>"
}
{
  "error": "<string>",
  "details": [
    {
      "message": "<string>",
      "path": [
        "<string>"
      ]
    }
  ]
}
{
  "error": "<string>"
}
{
  "error": "<string>",
  "message": "<string>"
}
{
  "error": "<string>",
  "message": "<string>"
}

Path Parameters

configObjectId
string<typeid>
required

Den TypeID with 'cob_' prefix and a 26-character base32 suffix.

Required string length: 30
Pattern: ^cob_.*

Response

Config object access grants returned successfully.

items
object[]
required
nextCursor
string | null
required
Required string length: 1 - 255